%global gem_name openstack

%global rubyabi 1.9.1

Summary: Ruby Openstack Compute and Object-Store bindings
Name: rubygem-%{gem_name}
Version: 1.0.6
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/ruby-openstack/ruby-openstack
Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
Requires: rubygem(json)
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: rubygems-devel
BuildRequires: rubygem(mocha)
BuildRequires: rubygem(minitest)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description

Ruby Openstack Compute and Object-Store bindings for the v1.0 OSAPI.
Currently supports both v1.0 and v2.0 (keystone) authentication.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

# Remove shebang
sed -i -e '/^#!\//, 1d' %{buildroot}%{gem_instdir}/lib/openstack.rb

%check
pushd .%{gem_instdir}
testrb test/*_test.rb
popd

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/COPYING
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_instdir}/.yardoc
%exclude %{gem_instdir}/%{gem_name}.gemspec
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/test

%changelog
* Thu Sep 13 2012 Michal Fojtik <mfojtik@redhat.com> 1.0.6-1
- Fixed problem with gemspec

* Thu Sep 13 2012 Michal Fojtik <mfojtik@redhat.com> 1.0.5-2
- Removed %doc prefix from VERSION
- Removed test-unit dependecy from BuildRequire

* Thu Sep 13 2012 Michal Fojtik <mfojtik@redhat.com> 1.0.5-1
- Version bump
- Included tests

* Thu Sep 13 2012 Michal Fojtik <mfojtik@redhat.com> 1.0.4-1
- Initial release
